Two
Two is a payment method tailored to handle businesses to business (B2B) payments. By adding Two into your Dintero checkout, you can offer customers a simple and high converting B2B payment method.
Payment Types
| Payment Type | Description | Use Case | EHF/ Electronic Invoice support |
|---|---|---|---|
two.invoice_b2b | Business-to-business invoicing | One-time invoices to companies. | Norway, Sweden, Denmark and Finland. |
How It Works
- Customer selects "Two - Business Invoice" payment at checkout.
- Billing information is collected (name, address, email, phone, country, organization number).
- Order verification via company representatives (handled by Two)
- A transaction is created in Dintero's system.
- When the merchant captures the transaction, Two distributes the invoice to the customer.
- Dintero settles the funds when they are received from Two.
- Customer pays the invoice to Two via their bank.```
Configuration
Enable the Two payment type in the session configuration when creating a checkout session.
POST https://checkout.dintero.com/v1/sessions-profile
Authorization: Bearer <token>
Content-Type: application/json
{
"url": {
"return_url": "https://example.com/accept",
"callback_url": "https://example.com/callback",
"merchant_terms_url": "https://example.com/terms.html"
},
"order": {
"amount": 50000,
"currency": "NOK",
"vat_amount": 10000,
"items": [
{
"amount": 50000,
"quantity": 1,
"line_id": "1",
"description": "Consulting services",
"vat": 25,
"id": "item-1"
}
],
"merchant_reference": "order-123"
},
"configuration": {
"two": {
"type": "payment_type",
"invoice_b2b": {
"type": "payment_product_type",
"enabled": true,
"days_until_due": 14
}
},
"profile_id": "default"
}
Configuration Options
| Option | Applies To | Type | Description |
|---|---|---|---|
days_until_due | All types | Integer (0-365) | Number of days until the invoice is due. Default: 14 days. |
See related documentation for more information about creating payment sessions:
Verification
After the end user finishes the payment form in the Dintero checkout they are redirected to Two's customer verification page. The specific method Two employs (e.g., OTP via SMS/email, or Open Banking check) is determined dynamically by Two's risk assessment based on:
- The representative's details
- The buyer's company profile
- The order amount
If the customer completing the payment is not the correct stakeholder/legal representative of the company:
- The customer completing the payment needs to verify their identity
- A legal representative of the company must also verify — Two's hosted verification page will display a list of known legal representatives of the company. The customer can then contact one of those individuals and ask them to verify on their behalf. The legal rep receives a verification request (via SMS or email) and completes their own verification step.
- The order is only approved by Two once both the customer and a legal representative have completed verification. The payment is not rejected outright — the buyer is given the opportunity to get a legal rep to co-verify.
Transaction Lifecycle
Two transactions are automatically authorized upon successful verification.
| State | Description |
|---|---|
| AUTHORIZED | This is the initial successful state. |
| CAPTURED | Two will transfer money to the merchant Dintero account and send an invoice to the customer's company. |
| FAILED | Payment could not be created. |
| PARTIALLY_REFUNDED | A partial refund has been issued. The remaining amount is still valid. |
| REFUNDED | The full transaction amount has been refunded. |
| SETTLED | The captured amount has been settled into the merchants account. |
| VOIDED | The transaction has been cancelled before it was captured. |
Refunds and Cancellations
- To cancel an invoice, cancel (void) the transaction is in the AUTHORIZED state.
- Partial refunds can be issued while the transaction is in the CAPTURED state.
Invoice Dates
- Invoice issue date: The date of the capture.
- Invoice due date: Issue date +
days_until_duefrom capture (default: 14 days).
Billing Address Requirements
Two requires a billing address with all payment types.
| Field | B2B |
|---|---|
first_name | Required |
last_name | Required |
address_line | Required |
postal_code | Required |
country | Required (ISO 3166 alpha-2) |
phone_number | Required |
email | Required |
business_name | Required |
organization_number | Required |
For Norway, the organization number is 9 digits. For Sweden, it is either 10 or 12 digits.